/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package silab.nst.jsf.service;

import java.util.logging.Level;
import java.util.logging.Logger;
import javax.annotation.Resource;
import javax.enterprise.context.RequestScoped;
import javax.inject.Named;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.transaction.NotSupportedException;
import javax.transaction.SystemException;
import silab.nst.jsf.domen.User;

/**
 *
 * @author student
 */
@Named
@RequestScoped
public class UserService {

    @PersistenceContext(unitName = "JSF_NST_I_CASPU")
    private EntityManager em;
    
    @Resource
    private javax.transaction.UserTransaction utx;

    public void persist(Object object) {
        try {
            utx.begin();
            em.persist(object);
            utx.commit();
        } catch (Exception e) {
            Logger.getLogger(getClass().getName()).log(Level.SEVERE, "exception caught", e);
            throw new RuntimeException(e);
        }
    }
    
    
    public User prijaviKorisnika(String username, String password){
        
        try {
            User userDB = null;
            
            utx.begin();
            
            userDB = (User) em.createQuery("Select u From User u where u.username=:username")
                    .setParameter("username", username).getSingleResult();
            
            if (userDB.getPassword().equals(password)){
                return userDB;
            }
        } catch (Exception ex) {
            Logger.getLogger(UserService.class.getName()).log(Level.SEVERE, null, ex);
        } 
        
        return null;
        
    }
    
    
    
    
    
    
    
}
